package org.tinyjee.maven.dim.extensions;

/**
 * JavaScriptInvoker is a 'source-class' compatible helper class that provides a runtime environment that allows load and execute
 * javascript code.
 * This way scripts can provide input for velocity templates or they can produce content directly.
 *
 * <b>Note:</b> Under normal circumstances it is easier to create your own 'source-class' compatible helper class using java.
 * However there may be situations were the dependency to an additional compilation step or library dependencies prevent you
 * from using the simple path.
 *
 * @author Juergen_Kellerer, 2011-10-15
 */
public class JavaScriptInvoker {

	// TODO for Version 1.1.1

}
