package org.tinyjee.maven.dim.utils;

import java.util.Stack;
import java.util.StringTokenizer;

/**
 * TODO: Describe Class
 *
 * @author Juergen_Kellerer, 2011-10-23
 */
public class ClassUtils {

	public static Stack<String> parseCallStack(String expression) {
		Stack<String> callStack = new Stack<String>();
		StringBuilder currentCall = new StringBuilder();
		StringTokenizer tokenizer = new StringTokenizer(expression, ".");
		while (tokenizer.hasMoreTokens()) {
			String token = tokenizer.nextToken();
			if (token.contains("(")) {
				callStack.add(currentCall.toString());
				currentCall.setLength(0);
			}

			if (currentCall.length() != 0) currentCall.append('.');
			currentCall.append(token);
		}
		return callStack;
	}

	public static Object invoke(Stack<String> callStack) {
		return null;
	}

	private ClassUtils() {
	}
}
