package org.tinyjee.maven.dim.utils;

import com.thoughtworks.qdox.model.AbstractJavaEntity;

import java.util.Collection;

/**
 * Implements AbstractSelectableJavaEntitiesList for elements that directly derive from {@link AbstractJavaEntity}.
 *
 * @author Juergen_Kellerer, 2011-10-11
 */
public class SelectableJavaEntitiesList<E extends AbstractJavaEntity> extends AbstractSelectableJavaEntitiesList<E> {

	private static final long serialVersionUID = 2251042402549371225L;

	public SelectableJavaEntitiesList() {
		super();
	}

	public SelectableJavaEntitiesList(Collection<? extends E> collection) {
		super(collection);
	}

	@Override
	public AbstractJavaEntity unwrap(E element) {
		return element;
	}
}
